Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type TaskBaseAnnotations.BusinessTimeAnno

    @Retention(value=RUNTIME)
    public static @interface TaskBaseAnnotations.BusinessTimeAnno

Represents an abstract business date and time by defining a time duration from an (as yet unknown) reference time. This duration may optionally be calculated using a business calendar thus allowing a discontinuous set of time segments to be calculated whose total duration matches the given duration. The end time of the last such segment is taken as the effective business date/time for this BusinessTimeAnno. The time segments are placed such that they fall within the boundaries of ‘available’ time on the business calendar.

Optional Element Summary
`String` | `calendarName` The calendar used to compute the absolute time.
`String` | `duration` The business time duration
`boolean` | `isUserCalendar` Flag indicating the given calendar name is really meant to be used as the name of the user from which the associated calendar will be retrieved.

### duration

    public abstract String duration

  The business time duration

  Default:
    ""

### isUserCalendar

    public abstract boolean isUserCalendar

  Flag indicating the given calendar name is really meant to be used as the name of the user from which the associated calendar will be retrieved.

  Default:
    false

### calendarName

    public abstract String calendarName

  The calendar used to compute the absolute time. This calendar may actually be given as a user name (if isUserCalendar() returns true) indicating the user from which to derive the associated calendar. This calendar is specified from the user profile for the named user.

  Default:
    ""

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT